<?php

namespace sistcertificado\Http\Controllers;

use Illuminate\Http\Request;

use sistcertificado\Http\Requests;
use sistcertificado\Curso;
use sistcertificado\User;
use sistcertificado\Certificado;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\input;
use sistcertificado\Http\Requests\CertificadoFormRequest;
use sistcertificado\Http\Requests\UsuarioFormRequest;
use Carbon\Carbon;
use DB;

class MiCertificadoController extends Controller
{
    public function index(Request $request)
    {
    	$usuarioid = auth()->user()->id;
    	 
        if ($request)
        {

            $query=trim($request->get('searchText'));
            
            $certificados=DB::table('certificado as ce')
            ->join('users as u','ce.id','=','u.id')
        	->join('curso as cu','ce.idcurso','=','cu.idcurso')
        	->select('u.id','u.name','u.email','u.dni_usuario','u.telefono_usuario','cu.nombre_curso','cu.horas','cu.fecha_inicio','cu.fecha_fin','ce.id','ce.idcertificado','ce.documento','ce.estado_certificado','ce.tipo_participante','ce.codigo')
           ->where('ce.id','=',$usuarioid)
            ->where('cu.nombre_curso','LIKE','%'.$query.'%')
            //->orwhere('cu.nombre_curso','LIKE','%'.$query.'%')
            ->orderBy('ce.idcertificado','desc')
            ->groupBy('u.id','u.name','u.email','u.dni_usuario','u.telefono_usuario','cu.nombre_curso','cu.horas','cu.fecha_inicio','cu.fecha_fin','ce.id','ce.idcertificado','ce.documento','ce.estado_certificado','ce.tipo_participante','ce.codigo')
            ->paginate(15);
            return view('certificado.micertificado.index',["certificados"=>$certificados,"searchText"=>$query]);
        }
        
    }

    //para que el usuario logueado edite su perfil
    public function edit($id)
    {
        return view("certificado.micertificado.edit",["usuario"=>User::findOrFail($id)]);
    }    
    public function update(UsuarioFormRequest $request,$id)
    {
        $usuario=User::findOrFail($id);
        $usuario->name=$request->get('name');
        $usuario->email=$request->get('email');
        $usuario->password=bcrypt($request->get('password'));
        $usuario->dni_usuario=$request->get('dni_usuario');
        $usuario->telefono_usuario=$request->get('telefono_usuario');

        if (Input::hasFile('foto_usuario')){
         $file=Input::file('foto_usuario');
        $para_extencion=$file->getClientOriginalName();
        $extension = pathinfo($para_extencion, PATHINFO_EXTENSION);
        $nombre_foto="foto_".$request->get('name').".".$extension;
        $file->move(public_path().'/imagenes/foto/',$nombre_foto);
        $usuario->foto_usuario=$nombre_foto;
        }

        $usuario->update();
        return Redirect::to('certificado/micertificado');
    }
}
